#
# spec file for package gnutls (Version 1.4.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libltdl libmudflap41 libnscd libopencdk libopencdk-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers lzo lzo-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           gnutls
BuildRequires:  gcc-c++ libgcrypt-devel libopencdk-devel lzo-devel
Version:        1.4.4
Release:        19
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gnutls.org/
Source0:        %name-%version.tar.bz2
Patch0:         gnutls-char-signedness.patch
Patch1:         gnutls-GNUTLS_SA_2008_1.patch
Summary:        The GNU Transport Layer Security Library
Group:          Productivity/Networking/Security
AutoReqProv:    on
PreReq:         %install_info_prereq

%description
The GnuTLS project aims to develop a library that provides a secure
layer over a reliable transport layer. Currently the GnuTLS library
implements the proposed standards of the IETF's TLS working group.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%debug_package
%package devel
License:        GPL v2 or later
Summary:        Development package for gnutls
Group:          Productivity/Networking/Security
Requires:       %name = %version glibc-devel libopencdk-devel libgcrypt-devel libgpg-error-devel zlib-devel lzo-devel 

%description devel
Files needed for software development using gnutls.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%prep
%setup -q
%patch0
%patch1 -p1

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=%_prefix \
                --sysconfdir=%_sysconfdir \
                --libdir=%_libdir \
		--mandir=%_mandir --infodir=%_infodir \
		--localstatedir=%_localstatedir \
		--with-included-libtasn1
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf doc/examples/.deps doc/examples/.libs doc/examples/*.{o,lo,la} doc/examples/Makefile{,.in}
find doc/examples -perm -111 -exec rm {} \;

%clean
rm -rf %buildroot

%post
%run_ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/gnutls.info.gz

%postun
%run_ldconfig

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnutls.info.gz

%files
%defattr(-, root, root)
%doc THANKS README NEWS ChangeLog COPYING.LIB COPYING AUTHORS doc/TODO
%_bindir/certtool
%_bindir/gnutls-cli
%_bindir/gnutls-cli-debug
%_bindir/gnutls-serv
%_bindir/srptool
%_bindir/psktool
%_libdir/*.so.*
%_mandir/man1/*
%_usr/share/locale/*/*/%{name}.mo

%files devel
%defattr(-, root, root)
%_bindir/libgnutls-config
%_bindir/libgnutls-extra-config
%_includedir/*
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%_mandir/man3/*
%_infodir/%{name}*
%doc doc/examples doc/gnutls.html doc/*.png doc/gnutls.pdf doc/reference/html/*

%changelog
* Wed May 21 2008 - mkoenig@suse.de
- fix three security bugs [bnc#392947]
  CVE-2008-1948 GNUTLS-SA-2008-1-1
  Fix crash when sending invalid server name
  CVE-2008-1949 GNUTLS-SA-2008-1-2
  Fix crash when sending repeated client hellos
  CVE-2008-1950 GNUTLS-SA-2008-1-3
  Fix crash in cipher padding decoding for invalid record lengths
* Tue Oct 24 2006 - mkoenig@suse.de
- move developer related docs to devel package and remove
  binary stuff from docs [#212454]
* Tue Sep 19 2006 - mkoenig@suse.de
- update to version 1.4.4:
  * bugfix release
  * fixes security vulnerability [#206636] (CVE-2006-4790)
* Thu Aug 31 2006 - mkoenig@suse.de
- update to new stable branch 1.4.1:
  * The command line tools now use getaddrinfo and support IPv6.
  * gnutls-cli can now recognize services and port numbers with
  the -p option.
  * Error messages are now translated using GNU Gettext.
  * GnuTLS now support TLS Inner application (TLS/IA).
  * API and ABI modifications:
  + Support for DHE-PSK cipher suites has been added.
  + Removed the RIPEMD ciphersuites.
  + Remove GnuTLS 0.8.x compatibility functions.
  + Support for TLS Pre-Shared Key (TLS-PSK) ciphersuites have
  been added.
  + Certtool now generate keys in unencrypted PKCS#8 format for
  empty passwords.
  + Certtool now accept --password for --key-info and encrypted
  PKCS#8 keys.
  + gnutls_x509_privkey_import_pkcs8 now accept unencrypted
  PEM PKCS#8 keys,
  + New function to set a X.509 private key and certificate
  pairs, and/or CRLs, from an PKCS#12 file.
  + New APIs to acceess the client and server random fields in
  a session.
  + New APIs to access the TLS Pseudo-Random-Function (PRF).
  + New API to access the TLS master secret.
  + The function gnutls_x509_crt_to_xml now return an internal
  error.
  * Several bugfixes:
  + Corrected a bug in certtool for 64 bit machines.
  + Fix gnutls-cli STARTTLS hang when SIGINT is sent too quickly.
  + Fix crash in TLS resume code, caused by TLS/IA changes.
  + Corrected bugs in gnutls_certificate_set_x509_crl() and
  gnutls_certificate_set_x509_trust().
  + Fixed bug in non-blocking gnutls_bye().
  + Fix read of out bounds bug in DER parser.
  + Fixed bug in OpenPGP authentication handshake.
* Sat Feb 18 2006 - ro@suse.de
- cleanup doc directory (.deps,.libs)
* Fri Feb 10 2006 - hvogel@suse.de
- Update to version 1.2.10. This release fixes several serious
  bugs that would make the DER decoder in libtasn1 crash on
  invalid input [#149897]. Including:
  * Corrected a bug in certtool for 64 bit machines.
  * Fix gnutls-cli STARTTLS hang when SIGINT is sent too quickly
  * Corrected bugs in gnutls_certificate_set_x509_crl() and
  gnutls_certificate_set_x509_trust(), that caused memory
  corruption if more than one certificates were added.
  * Fixed bug in non-blocking gnutls_bye(). gnutls_record_send()
  will no longer invalidate a session if the underlying send
  fails, but it will prevent future writes.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - ro@suse.de
- do not package /usr/share/info/dir
* Fri Dec 09 2005 - hvogel@suse.de
- update to version 1.2.9
* Tue Oct 25 2005 - hvogel@suse.de
- update to version 1.2.8
* Mon Aug 22 2005 - hvogel@suse.de
- fix data type comparison [Bug #104617]
* Sun Jul 03 2005 - hvogel@suse.de
- update to version 1.2.5
* Wed Jun 29 2005 - hvogel@suse.de
- patch from mrueckert to use external lzo again
* Thu Jun 23 2005 - hvogel@suse.de
- use %%install_info/%%install_info_delete
* Tue Jun 07 2005 - hvogel@suse.de
- update to version 1.2.4
* Fri Jun 03 2005 - ro@suse.de
- fix specfile (don't apply non-existant patch1)
* Thu Jun 02 2005 - hvogel@suse.de
- use included minilzo
* Wed May 25 2005 - hvogel@suse.de
- Update to version 1.2.3 (fixes gnutls DOS Bug #83481)
- Include defines.h before gnutls.h, to pull in config.h, to make
  sure memmem.h prototype memmem properly
* Sun Jan 30 2005 - hvogel@suse.de
- Update to version 1.2.0
* Wed Jan 19 2005 - hvogel@suse.de
- update to version 1.1.23
- get rid of prebuild html/ps docu again, the devel packages has
  man-pages now
* Mon Dec 13 2004 - hvogel@suse.de
- update to version 1.0.23
- make build of postscript/html docu configureable
* Sat Oct 23 2004 - hvogel@suse.de
- move config script to the devel package
* Thu Oct 14 2004 - hvogel@suse.de
- Update to version 1.0.21
* Tue Sep 28 2004 - hvogel@suse.de
- add doc subpackage with prebuild html/ps docu (Bug #44496)
* Mon Sep 27 2004 - hvogel@suse.de
- fix ac-quotation patch to include libgnutls-extra.m4 (Bug #46035)
* Tue Aug 31 2004 - kukuk@suse.de
- Update to version 1.0.20
* Mon Aug 30 2004 - kukuk@suse.de
- Add libopencdk-devel to neededforbuild
* Thu Jul 15 2004 - hvogel@suse.de
- add libgcrypt-devel and lipgpg-error-devel to nfb
* Wed May 19 2004 - hvogel@suse.de
- update to version 1.0.13
* Fri May 14 2004 - mmj@suse.de
- Add C++ compiler to build
- Don't remove buildroot when installing
* Mon Mar 01 2004 - hvogel@suse.de
- update to version 1.0.8
* Tue Feb 17 2004 - hvogel@suse.de
- update to version 1.0.6
- fix autoconf quotations
* Wed May 14 2003 - schubi@suse.de
- initial; Sourcecode received from XIMIAN
